## modemmanager-qt 5.79.0

=== debian/changelog ===
modemmanager-qt (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:24:17 +0000

modemmanager-qt (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 15:47:41 +0000

modemmanager-qt (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:42 +0000
