=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.79.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,
@@ -16,11 +16,11 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/modemmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf5modemmanagerqt-doc
@@ -50,7 +50,7 @@
          modemmanager-dev (>= 1.0),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: libkf5modemmanagerqt-dev
 Replaces: libkf5modemmanagerqt-dev
 Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
