## modemmanager-qt 5.80.0

=== debian/changelog ===
modemmanager-qt (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:08 +0000
