## modemmanager-qt 5.81.0

=== debian/changelog ===
modemmanager-qt (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:39 +0100
