## modemmanager-qt 5.86.0

=== debian/changelog ===
modemmanager-qt (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:50:08 +0100
