=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.85.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,
