## modemmanager-qt 5.87.0

=== debian/changelog ===
modemmanager-qt (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:55 +0000
