=== debian/control ===
--- 
+++ 
@@ -2,22 +2,20 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.87.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.88.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/modemmanager-qt
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
@@ -48,7 +46,7 @@
 Depends: libglib2.0-dev,
          libkf5modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5modemmanagerqt-dev
