## modemmanager-qt 5.89.0

=== debian/changelog ===
modemmanager-qt (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:18:18 +0000
