=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: modemmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.88.0~),
+               extra-cmake-modules (>= 5.89.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),
