## modemmanager-qt 5.93.0

=== debian/changelog ===
modemmanager-qt (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:25:17 +0100
