=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.93.0~),
+               extra-cmake-modules (>= 5.94.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),
