## modemmanager-qt 5.95.0

=== debian/changelog ===
modemmanager-qt (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:58:11 +0100
