## modemmanager-qt 5.96.0

=== debian/changelog ===
modemmanager-qt (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:32:18 +0100
