## modemmanager-qt 5.97.0

=== debian/changelog ===
modemmanager-qt (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:39 +0100
