## modemmanager-qt 5.98.0

=== debian/changelog ===
modemmanager-qt (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:34:17 +0100
