## modemmanager-qt 5.102.0

=== debian/changelog ===
modemmanager-qt (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:59:14 +0000
